Module PhusionPassenger::AdminTools |
In: | lib/phusion_passenger/admin_tools.rb lib/phusion_passenger/admin_tools/memory_stats.rb lib/phusion_passenger/admin_tools/server_instance.rb

Methods

- process_is_alive?
- tmpdir

Classes and Modules
Class PhusionPassenger::AdminTools::MemoryStats
Class PhusionPassenger::AdminTools::ServerInstance
Public Class methods
process_is_alive?(pid)

[ show source ]

        # File lib/phusion_passenger/admin_tools.rb, line 36
    36:         def self.process_is_alive?(pid)
    37:                 begin
    38:                         Process.kill(0, pid)
    39:                         return true
    40:                 rescue Errno::ESRCH
    41:                         return false
    42:                 rescue SystemCallError => e
    43:                         return true
    44:                 end
    45:         end

tmpdir()

[ show source ]

        # File lib/phusion_passenger/admin_tools.rb, line 27
    27:         def self.tmpdir
    28:                 ["PASSENGER_TEMP_DIR", "PASSENGER_TMPDIR"].each do |name|
    29:                         if ENV.has_key?(name) && !ENV[name].empty?
    30:                                 return ENV[name]
    31:                         end
    32:                 end
    33:                 return "/tmp"
    34:         end